Loading...
Searching...
No Matches
pcl::gpu::Timer Struct Reference

`#include </build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/utils/include/pcl/gpu/utils/timers_cuda.hpp>`

## Public Member Functions

| Timer (bool runTimer=false)
| ~Timer ()
void | start () const
Timer & | stop ()
float | time () const

## Public Attributes

cudaEvent_t | start_
cudaEvent_t | stop_

## Detailed Description

Definition at line 47 of file timers_cuda.hpp.

## Constructor & Destructor Documentation

## Timer()

pcl::gpu::Timer::Timer | ( | bool | runTimer = false | ) |

inline

Definition at line 50 of file timers_cuda.hpp.

References start(), start_, and stop_.

Referenced by stop().

## ~Timer()

pcl::gpu::Timer::~Timer | ( |  | ) |

inline

Definition at line 57 of file timers_cuda.hpp.

References start_, and stop_.

## Member Function Documentation

## start()

void pcl::gpu::Timer::start | ( |  | ) | const

inline

Definition at line 63 of file timers_cuda.hpp.

References start_.

Referenced by Timer().

## stop()

Timer & pcl::gpu::Timer::stop | ( |  | ) |

inline

Definition at line 64 of file timers_cuda.hpp.

References stop_, and Timer().

## time()

float pcl::gpu::Timer::time | ( |  | ) | const

inline

Definition at line 66 of file timers_cuda.hpp.

References start_, and stop_.

## Member Data Documentation

## start_

cudaEvent_t pcl::gpu::Timer::start_

Definition at line 49 of file timers_cuda.hpp.

Referenced by start(), time(), Timer(), and ~Timer().

## stop_

cudaEvent_t pcl::gpu::Timer::stop_

Definition at line 49 of file timers_cuda.hpp.

Referenced by stop(), time(), Timer(), and ~Timer().

The documentation for this struct was generated from the following file:

- /build/pcl-k79KrG/pcl-1.15.1+dfsg/gpu/utils/include/pcl/gpu/utils/timers_cuda.hpp